Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface ASTErrorsHelper

    public interface ASTErrorsHelper

Enhances a class to contain an Errors property of type org.springframework.validation.Errors. Methods added include:

      public void setErrors(Errors errors)
      public Errors getErrors()
      public void clearErrors()
      public Boolean hasErrors()

Method Summary
`void` | `injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)`

Method Detail

### injectErrorsCode

    public void injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation